mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
unified-delay: true
external-controller: '127.0.0.1:9090'

proxies:
  - name: "node01-新加坡-66.90.98.37"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 2869c276-1d3d-45b1-908a-ad3d7ab0add6
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node02-日本-203.10.99.42"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: f97ecb20-59b4-48e5-9a5e-9abbad15a3c5
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node03-日本-203.10.99.10"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 5b05761b-6b44-4eed-84e0-7db21cffde5a
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node04-日本-203.10.99.12"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 37755d29-dbd4-4579-9dd2-cfb391f17f4d
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node05-日本-203.10.99.26"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 66ddc2f3-921c-4727-955a-ca7014374f9f
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node06-日本-203.10.99.27"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: c1dea48e-6901-49aa-9a6c-c982b10e5dba
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node07-日本-203.10.99.28"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: a2b202dc-30c8-44f2-85c7-a5500960c5cb
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node08-新加坡-66.90.98.34"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 6658bb57-895a-4d14-b38b-38b924059078
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node09-新加坡-66.90.98.35"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 735a7615-a7ce-4426-841e-34267faf09a8
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179
  - name: "node10-新加坡-66.90.98.36"
    type: vless
    server: 198.200.49.61
    port: 58675
    uuid: 24b1bc4c-9ffc-43c6-9fc8-e6b066976868
    network: tcp
    udp: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: W-WPxbdgLwaTDTTNFedAjAVJZBhTIKBo0Hb_8sunQjc
      short-id: 6ba85179

proxy-groups:
  - name: "节点选择"
    type: select
    proxies:
      - node01-新加坡-66.90.98.37
      - node02-日本-203.10.99.42
      - node03-日本-203.10.99.10
      - node04-日本-203.10.99.12
      - node05-日本-203.10.99.26
      - node06-日本-203.10.99.27
      - node07-日本-203.10.99.28
      - node08-新加坡-66.90.98.34
      - node09-新加坡-66.90.98.35
      - node10-新加坡-66.90.98.36
      - DIRECT
  - name: "自动选择"
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 300
    proxies:
      - node01-新加坡-66.90.98.37
      - node02-日本-203.10.99.42
      - node03-日本-203.10.99.10
      - node04-日本-203.10.99.12
      - node05-日本-203.10.99.26
      - node06-日本-203.10.99.27
      - node07-日本-203.10.99.28
      - node08-新加坡-66.90.98.34
      - node09-新加坡-66.90.98.35
      - node10-新加坡-66.90.98.36

rules:
  - GEOIP,CN,DIRECT
  - MATCH,节点选择